<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="periodo">
      <h2 data-cy="periodoDetailsHeading"><span jhiTranslate="matrixApp.periodo.detail.title">Periodo</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="matrixApp.periodo.id">Id</span></dt>
        <dd>
          <span>{{ periodo.id }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.periodo.descricao">Descricao</span></dt>
        <dd>
          <span>{{ periodo.descricao }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.periodo.matriz">Matriz</span></dt>
        <dd>
          <div *ngIf="periodo.matriz">
            <a [routerLink]="['/matriz', periodo.matriz.id, 'view']">{{ periodo.matriz.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Voltar</span>
      </button>

      <button type="button" [routerLink]="['/periodo', periodo.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editar</span>
      </button>
    </div>
  </div>
</div>
